org.apache.olingo.server.api.uri.queryoption

## Interface ExpandItem

-     public interface ExpandItem

  Represents a single resource path which should be expanded with using the system query option $expand For example: http://.../entitySet?$expand=Products($filter=DiscontinuedDate eq null)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplyOption` | `getApplyOption()`
    `CountOption` | `getCountOption()`
    `ExpandOption` | `getExpandOption()`
    `FilterOption` | `getFilterOption()`
    `LevelsExpandOption` | `getLevelsOption()`
    `OrderByOption` | `getOrderByOption()`
    `UriInfoResource` | `getResourcePath()`
    `SearchOption` | `getSearchOption()`
    `SelectOption` | `getSelectOption()`
    `SkipOption` | `getSkipOption()`
    `EdmType` | `getStartTypeFilter()`
    `TopOption` | `getTopOption()`
    `boolean` | `hasCountPath()`
    `boolean` | `isRef()`
    `boolean` | `isStar()`

- - ### Method Detail

    - #### getLevelsOption

          LevelsExpandOption getLevelsOption()

      Returns:
        Information of the option $level when used within $expand

    - #### getFilterOption

          FilterOption getFilterOption()

      Returns:
        Information of the option $filter when used within $expand

    - #### getSearchOption

          SearchOption getSearchOption()

      Returns:
        Information of the option $search when used within $expand

    - #### getOrderByOption

          OrderByOption getOrderByOption()

      Returns:
        Information of the option $orderby when used within $expand

    - #### getSkipOption

          SkipOption getSkipOption()

      Returns:
        Information of the option $skip when used within $expand

    - #### getTopOption

          TopOption getTopOption()

      Returns:
        Information of the option $top when used within $expand

    - #### getCountOption

          CountOption getCountOption()

      Returns:
        Information of the option $count when used within $expand

    - #### getSelectOption

          SelectOption getSelectOption()

      Returns:
        Information of the option $select when used within $expand

    - #### getExpandOption

          ExpandOption getExpandOption()

      Returns:
        Information of the option $expand when used within $expand

    - #### getApplyOption

          ApplyOption getApplyOption()

      Returns:
        Information on the option $apply when used within $expand

    - #### getResourcePath

          UriInfoResource getResourcePath()

      Returns:
        A `UriInfoResource` object containing the resource path segments to be expanded

    - #### isStar

          boolean isStar()

      Returns:
        A star is used within $expand. For example: ...?$expand=*

    - #### isRef

          boolean isRef()

      Returns:
        A $ref is used within $expand. For example: ...?$expand=navigation/$ref

    - #### hasCountPath

          boolean hasCountPath()

      Returns:
        A $count is used within $expand. For example: ...?$expand=navigation/$count

    - #### getStartTypeFilter

          EdmType getStartTypeFilter()

      Returns:
        Before resource path segments which should be expanded a type filter may be used. For example: ...persons?$expand=namespace.managertype/team

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.